/*
 * Copyright (C) 2005-2009 Makoto Sato. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.objectfanatics.assertion.weaver.constraint;

import jp.objectfanatics.assertion.constraints.Min;
import jp.objectfanatics.assertion.weaver.ConstraintAssertionWeaver;

/**
 * Implementation of {@link ConstraintAssertionWeaver} for @{@link Min} annotation.
 * 
 * @author Makoto Sato
 */
public class MinAssertionWeaver extends AbstractNumberComparingAssertionWeaver {
	private static final String COMPARATOR = "<";
	private static final String COMPARATIVE_WORD_FOR_NUMBER_OUT_OF_BOUNDS = "less";
	public MinAssertionWeaver() {
		super(Min.class, COMPARATOR, COMPARATIVE_WORD_FOR_NUMBER_OUT_OF_BOUNDS);
	}
}
